Create recipient
curl --request POST \
--url https://api.example.com/v1/customers/{customer_id}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"iban": "<string>",
"legal_name": "<string>",
"country": "<string>",
"city": "<string>",
"legal_address": "<string>",
"bic": "<string>",
"bank": "<string>",
"intermediate_bic": "<string>",
"intermediate_bank": "<string>",
"intermediate_route": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"reference": "<string>"
}
'import requests
url = "https://api.example.com/v1/customers/{customer_id}/recipients"
payload = {
"iban": "<string>",
"legal_name": "<string>",
"country": "<string>",
"city": "<string>",
"legal_address": "<string>",
"bic": "<string>",
"bank": "<string>",
"intermediate_bic": "<string>",
"intermediate_bank": "<string>",
"intermediate_route": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"reference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
iban: '<string>',
legal_name: '<string>',
country: '<string>',
city: '<string>',
legal_address: '<string>',
bic: '<string>',
bank: '<string>',
intermediate_bic: '<string>',
intermediate_bank: '<string>',
intermediate_route: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
reference: '<string>'
})
};
fetch('https://api.example.com/v1/customers/{customer_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipient": {
"iban": "<string>",
"legal_name": "<string>",
"country": "<string>",
"city": "<string>",
"legal_address": "<string>",
"bic": "<string>",
"bank": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intermediate_bic": "<string>",
"intermediate_bank": "<string>",
"intermediate_route": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"reference": "<string>"
}
}{
"code": "recipients.invalid_bic_format",
"message": "Invalid BIC format"
}{
"code": "common.unauthorized",
"message": "Authentication required"
}{
"code": "common.forbidden",
"message": "Insufficient permissions"
}{
"code": "recipients.invalid_bic_format",
"message": "Invalid BIC format"
}Recipients
Create recipient
Create a new payment recipient
POST
/
v1
/
customers
/
{customer_id}
/
recipients
Create recipient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
2Pattern:
^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$Available options:
business, personal Pattern:
^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$Response
Recipient created successfully
Show child attributes
Show child attributes
⌘I